import request from '@/utils/request'

// 查询联考一分一段列表
export function listMallExamSection(query) {
  return request({
    url: '/mall/mallExamSection/list',
    method: 'get',
    params: query
  })
}

// 查询联考一分一段详细
export function getMallExamSection(sectionId) {
  return request({
    url: '/mall/mallExamSection/' + sectionId,
    method: 'get'
  })
}

// 新增联考一分一段
export function addMallExamSection(data) {
  return request({
    url: '/mall/mallExamSection',
    method: 'post',
    data: data
  })
}

// 修改联考一分一段
export function updateMallExamSection(data) {
  return request({
    url: '/mall/mallExamSection',
    method: 'put',
    data: data
  })
}

// 删除联考一分一段
export function delMallExamSection(sectionId) {
  return request({
    url: '/mall/mallExamSection/' + sectionId,
    method: 'delete'
  })
}
